function makeAPI(root) {
    const Attribute = root.lookupType("models.proto.cofd.api.Attribute");

    const attributesResource = (username, characterID) =>
          '/api/cofd/' + username + '/' + characterID + '/attributes';

    async function updateAttribute(params) {
        const { username, characterID, attribute, newValue } = params;

        let req = Attribute.create({
            name: attribute,
            value: parseInt(newValue)
        });

        const resource = attributesResource(username, characterID);

        let resp = await fetch(resource, {
            method: 'PATCH',
            body: Attribute.encode(req).finish()
        }).then(async resp => {
            console.log("resp is", await resp.text());
        }).catch(async err => {
            console.log("err is", err.text());
        });
    }

    return {
        updateAttribute
    };
}
